<div class="d-flex h-100 flex-column align-items-stretch chat-page">
  <div class="d-flex w-100 align-items-center justify-content-between p-3 link-dark text-decoration-none border-bottom chat-header">
    <div class="d-flex" style="max-height: 100%">
      <img src="../../assets/logo.svg" alt="" width="60" height="50">
      <span class="fs-5 fw-semibold" style="margin-left: 15px">Your name: {{userName}}</span>
    </div>
    <span class="fs-5 fw-semibold">Users: {{numUsers}}</span>
  </div>
  <div class="chat-area">
    <ul #messagesList class="h-100 messages-list">
      <li class="clearfix" style="list-style-type: none;"
      *ngFor="let message of messages">
        <div *ngIf="!message.isInfo" class="message-body" [ngStyle]="{'text-align': message.isMyMsg ? 'right' : 'left'}">
          <div class="message-username">
            <strong>{{message.username}}</strong>
          </div>
          <div class="message" [ngClass]="message.isMyMsg ? 'my-message' : 'other-message'">
            {{message.message}}
          </div>
        </div>
        <div *ngIf="message.isInfo">
          <div class="message-info">
            {{message.message}}
          </div>
        </div>
      </li>
      <div *ngIf="currentlyTyping.length > 0">
        <div *ngFor="let user of currentlyTyping">
          <span>{{user}} is typing ...</span>
        </div>
      </div>
    </ul>
  </div>
  <form class="chat-box mt-2" (submit)="send()">
    <input #messageInput class="form-control h-100" placeholder="Write a message..." (keyup)="keyup()"
           [(ngModel)]="message" [ngModelOptions]="{standalone: true}"/>
  </form>
</div>
